

export class PayInAAARowModel {
  public Period: Date;
  public LoanNumber: string;
  public Settlement: Date;
  public LoanAmount: number;
  public Balance: number;
  public InTrail: number;

  constructor(payload: Partial<PayInAAARowModel>){
    this.Period = new Date(payload.Period);
    this.LoanNumber = payload.LoanNumber || '';
    this.Settlement = new Date(payload.Settlement);
    this.LoanAmount = payload.LoanAmount || 0;
    this.Balance = payload.Balance || 0;
    this.InTrail = payload.InTrail || 0;
  }
}
